JobExecutionManager
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl.engine.maps
Class JobExecutionManager

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.impl.engine.maps.JobExecutionManager

    public class JobExecutionManager

extends java.lang.Object

Constructor Summary
`JobExecutionManager()`

Method Summary
`static void` | `alertJob(int objId, int jobId)`
`static void` | `cleanReferences(Submitted toClean)`
`static java.util.List<Submitted>` | `getAvailableRequests(boolean object, int maxSize)`
`static void` | `init(boolean purgeinvalid)`
`static void` | `insertAquaMapsObjectExecutionRequest(java.util.List<AquaMapsObjectExecutionRequest> requests)`
`static int` | `insertJobExecutionRequest(Job toExecute, boolean forceRegeneration)`
`static void` | `start(Submitted toStart)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobExecutionManager

    public JobExecutionManager()

Method Detail

### init

    public static void init(boolean purgeinvalid)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### insertJobExecutionRequest

    public static int insertJobExecutionRequest(Job toExecute,
                                                boolean forceRegeneration)
                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### insertAquaMapsObjectExecutionRequest

    public static void insertAquaMapsObjectExecutionRequest(java.util.List<AquaMapsObjectExecutionRequest> requests)
                                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### start

    public static void start(Submitted toStart)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### cleanReferences

    public static void cleanReferences(Submitted toClean)

### alertJob

    public static void alertJob(int objId,
                                int jobId)

### getAvailableRequests

    public static java.util.List<Submitted> getAvailableRequests(boolean object,
                                                                 int maxSize)
                                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD